com.tibco.bpm.service.connector

## Class BusinessDataServicesAdminService

- java.lang.Object
- - com.tibco.bpm.service.connector.BusinessDataServicesAdminService

- All Implemented Interfaces:
    BusinessDataServicesAdminService

      public class BusinessDataServicesAdminService
      extends java.lang.Object
      implements BusinessDataServicesAdminService

  Provides access to the BusinessDataServicesPublicService interfaces.

  ©2013 TIBCO Software Inc.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.bds.api.GetAuditInfoResponseType` | `getAuditInfo(long caseModelId)` Returns information about the Audit of the given ID.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo()` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo(com.tibco.bds.api.AppDetails appDetails)` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo(com.tibco.bds.api.AppDetails appDetails, boolean includeLabels, boolean includeAttributes, boolean includeGlobalObjectAttributes, boolean includeAppDetails)` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo(com.tibco.bds.api.AppDetails appDetails, java.lang.String[] caseClassArray)` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo(com.tibco.bds.api.AppDetails appDetails, java.lang.String[] caseClassArray, boolean includeLabels, boolean includeAttributes, boolean includeGlobalObjectAttributes, boolean includeAppDetails)` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo(boolean includeLabels, boolean includeAttributes, boolean includeGlobalObjectAttributes, boolean includeAppDetails)` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo(long caseModelID)` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo(long caseModelID, boolean includeLabels, boolean includeAttributes, boolean includeGlobalObjectAttributes, boolean includeAppDetails)` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo(long caseModelID, java.lang.String[] caseClassArray)` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseClassInfo[]` | `getCaseClassInfo(long caseModelID, java.lang.String[] caseClassArray, boolean includeLabels, boolean includeAttributes, boolean includeGlobalObjectAttributes, boolean includeAppDetails)` Gets details of case classes and their searchable attributes.
    `com.tibco.bds.api.CaseModelType[]` | `getCaseModel(java.lang.String appName)` Gets information about the give AppName (CaseMode name) or if null then all CaseModels
    `com.tibco.bds.api.CaseModelBasicInfoType[]` | `getCaseModelBasicInfo(java.lang.String appName)` Gets information about the give AppName (CaseMode name) or if null then all CaseModels
    `org.apache.xmlbeans.XmlObject` | `notifyDDLExecution(long caseModelID, com.tibco.bds.api.DBScriptActionEnum.Enum databaseScriptAction, boolean skipValidation, com.tibco.bds.api.OperationDetailsType operationDetails)` Used to notify the BDS component that the COMBINED DROP script has been run for a CaseModel
    `org.apache.xmlbeans.XmlObject` | `updateDBScripts(long caseModelID, java.lang.String createScript, java.lang.String updateScript, java.lang.String dropScript, com.tibco.bds.api.OperationDetailsType operationDetails)` Gives the BDS component a revised Create and/or Update script and/or Drop Script for the CaseModel.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### notifyDDLExecution

          public org.apache.xmlbeans.XmlObject notifyDDLExecution(long caseModelID,
                                                                  com.tibco.bds.api.DBScriptActionEnum.Enum databaseScriptAction,
                                                                  boolean skipValidation,
                                                                  com.tibco.bds.api.OperationDetailsType operationDetails)
                                                           throws com.tibco.bds.services.InvalidCaseModelFault,
                                                                  com.tibco.bds.services.InternalServiceFault,
                                                                  com.tibco.bds.services.SecurityFault,
                                                                  com.tibco.bds.services.CaseDataAccessFault,
                                                                  com.tibco.bds.services.CaseModelIncorrectStateFault

      Description copied from interface: `BusinessDataServicesAdminService`
      Used to notify the BDS component that the COMBINED DROP script has been run for a CaseModel
      Specified by:
        `notifyDDLExecution` in interface `BusinessDataServicesAdminService`
      Returns:
        none
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelIncorrectStateFault`

    - #### getAuditInfo

          public com.tibco.bds.api.GetAuditInfoResponseType getAuditInfo(long caseModelId)
                                                                  throws com.tibco.bds.services.InvalidCaseModelFault,
                                                                         com.tibco.bds.services.InternalServiceFault,
                                                                         com.tibco.bds.services.SecurityFault,
                                                                         com.tibco.bds.services.CaseDataAccessFault

      Description copied from interface: `BusinessDataServicesAdminService`
      Returns information about the Audit of the given ID.
      Specified by:
        `getAuditInfo` in interface `BusinessDataServicesAdminService`
      Returns:
        GetAuditInfoResponseType
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`

    - #### getCaseModelBasicInfo

          public com.tibco.bds.api.CaseModelBasicInfoType[] getCaseModelBasicInfo(java.lang.String appName)
                                                                           throws com.tibco.bds.services.InvalidCaseModelFault,
                                                                                  com.tibco.bds.services.InternalServiceFault,
                                                                                  com.tibco.bds.services.SecurityFault,
                                                                                  com.tibco.bds.services.CaseDataAccessFault

      Description copied from interface: `BusinessDataServicesAdminService`
      Gets information about the give AppName (CaseMode name) or if null then all CaseModels
      Specified by:
        `getCaseModelBasicInfo` in interface `BusinessDataServicesAdminService`
      Returns:
        An array of Case Model Information
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`

    - #### getCaseModel

          public com.tibco.bds.api.CaseModelType[] getCaseModel(java.lang.String appName)
                                                         throws com.tibco.bds.services.InvalidCaseModelFault,
                                                                com.tibco.bds.services.InternalServiceFault,
                                                                com.tibco.bds.services.SecurityFault,
                                                                com.tibco.bds.services.CaseDataAccessFault

      Description copied from interface: `BusinessDataServicesAdminService`
      Gets information about the give AppName (CaseMode name) or if null then all CaseModels
      Specified by:
        `getCaseModel` in interface `BusinessDataServicesAdminService`
      Returns:
        An array of Case Model Information
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`

    - #### updateDBScripts

          public org.apache.xmlbeans.XmlObject updateDBScripts(long caseModelID,
                                                               java.lang.String createScript,
                                                               java.lang.String updateScript,
                                                               java.lang.String dropScript,
                                                               com.tibco.bds.api.OperationDetailsType operationDetails)
                                                        throws com.tibco.bds.services.InvalidCaseModelFault,
                                                               com.tibco.bds.services.InternalServiceFault,
                                                               com.tibco.bds.services.SecurityFault,
                                                               com.tibco.bds.services.CaseDataAccessFault,
                                                               com.tibco.bds.services.CaseModelIncorrectStateFault

      Description copied from interface: `BusinessDataServicesAdminService`
      Gives the BDS component a revised Create and/or Update script and/or Drop Script for the CaseModel. If only one script is being changed then null can be passed for the other scripts.
      Specified by:
        `updateDBScripts` in interface `BusinessDataServicesAdminService`
      Returns:
        none
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`
        `com.tibco.bds.services.CaseModelIncorrectStateFault`

    - #### getCaseClassInfo

          public com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo()
                                                             throws com.tibco.bds.services.InvalidCaseModelFault,
                                                                    com.tibco.bds.services.InternalServiceFault,
                                                                    com.tibco.bds.services.SecurityFault,
                                                                    com.tibco.bds.services.CaseDataAccessFault

      Description copied from interface: `BusinessDataServicesAdminService`
      Gets details of case classes and their searchable attributes.
      Specified by:
        `getCaseClassInfo` in interface `BusinessDataServicesAdminService`
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`

    - #### getCaseClassInfo

          public com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo(boolean includeLabels,
                                                                    boolean includeAttributes,
                                                                    boolean includeGlobalObjectAttributes,
                                                                    boolean includeAppDetails)
                                                             throws com.tibco.bds.services.InvalidCaseModelFault,
                                                                    com.tibco.bds.services.InternalServiceFault,
                                                                    com.tibco.bds.services.SecurityFault,
                                                                    com.tibco.bds.services.CaseDataAccessFault

      Description copied from interface: `BusinessDataServicesAdminService`
      Gets details of case classes and their searchable attributes.
      Specified by:
        `getCaseClassInfo` in interface `BusinessDataServicesAdminService`
      Parameters:
        `includeLabels` - if true, labels are includes for classes/attributes
        `includeAttributes` - if true, attributes are included, rather than just the class itself
        `includeGlobalObjectAttributes` - if true, nested attributes of contained global objects are included, rather than just those of the case class itself
        `includeAppDetails` - if true, details of the app that contains the class are included
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`

    - #### getCaseClassInfo

          public com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo(com.tibco.bds.api.AppDetails appDetails)
                                                             throws com.tibco.bds.services.InvalidCaseModelFault,
                                                                    com.tibco.bds.services.InternalServiceFault,
                                                                    com.tibco.bds.services.SecurityFault,
                                                                    com.tibco.bds.services.CaseDataAccessFault

      Description copied from interface: `BusinessDataServicesAdminService`
      Gets details of case classes and their searchable attributes.
      Specified by:
        `getCaseClassInfo` in interface `BusinessDataServicesAdminService`
      Parameters:
        `appDetails` - details of the app containing the case classes
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`

    - #### getCaseClassInfo

          public com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo(com.tibco.bds.api.AppDetails appDetails,
                                                                    boolean includeLabels,
                                                                    boolean includeAttributes,
                                                                    boolean includeGlobalObjectAttributes,
                                                                    boolean includeAppDetails)
                                                             throws com.tibco.bds.services.InvalidCaseModelFault,
                                                                    com.tibco.bds.services.InternalServiceFault,
                                                                    com.tibco.bds.services.SecurityFault,
                                                                    com.tibco.bds.services.CaseDataAccessFault

      Description copied from interface: `BusinessDataServicesAdminService`
      Gets details of case classes and their searchable attributes.
      Specified by:
        `getCaseClassInfo` in interface `BusinessDataServicesAdminService`
      Parameters:
        `appDetails` - details of the app containing the case classes
        `includeLabels` - if true, labels are includes for classes/attributes
        `includeAttributes` - if true, attributes are included, rather than just the class itself
        `includeGlobalObjectAttributes` - if true, nested attributes of contained global objects are included, rather than just those of the case class itself
        `includeAppDetails` - if true, details of the app that contains the class are included
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`

    - #### getCaseClassInfo

          public com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo(com.tibco.bds.api.AppDetails appDetails,
                                                                    java.lang.String[] caseClassArray)
                                                             throws com.tibco.bds.services.InvalidCaseModelFault,
                                                                    com.tibco.bds.services.InternalServiceFault,
                                                                    com.tibco.bds.services.SecurityFault,
                                                                    com.tibco.bds.services.CaseDataAccessFault

      Description copied from interface: `BusinessDataServicesAdminService`
      Gets details of case classes and their searchable attributes.
      Specified by:
        `getCaseClassInfo` in interface `BusinessDataServicesAdminService`
      Parameters:
        `appDetails` - details of the app containing the case classes
        `caseClassArray` - case classes to limit the results to (rather than returning all of them for the app)
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`

    - #### getCaseClassInfo

          public com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo(com.tibco.bds.api.AppDetails appDetails,
                                                                    java.lang.String[] caseClassArray,
                                                                    boolean includeLabels,
                                                                    boolean includeAttributes,
                                                                    boolean includeGlobalObjectAttributes,
                                                                    boolean includeAppDetails)
                                                             throws com.tibco.bds.services.InvalidCaseModelFault,
                                                                    com.tibco.bds.services.InternalServiceFault,
                                                                    com.tibco.bds.services.SecurityFault,
                                                                    com.tibco.bds.services.CaseDataAccessFault

      Description copied from interface: `BusinessDataServicesAdminService`
      Gets details of case classes and their searchable attributes.
      Specified by:
        `getCaseClassInfo` in interface `BusinessDataServicesAdminService`
      Parameters:
        `appDetails` - details of the app containing the case classes
        `caseClassArray` - case classes to limit the results to (rather than returning all of them for the app)
        `includeLabels` - if true, labels are includes for classes/attributes
        `includeAttributes` - if true, attributes are included, rather than just the class itself
        `includeGlobalObjectAttributes` - if true, nested attributes of contained global objects are included, rather than just those of the case class itself
        `includeAppDetails` - if true, details of the app that contains the class are included
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`

    - #### getCaseClassInfo

          public com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo(long caseModelID)
                                                             throws com.tibco.bds.services.InvalidCaseModelFault,
                                                                    com.tibco.bds.services.InternalServiceFault,
                                                                    com.tibco.bds.services.SecurityFault,
                                                                    com.tibco.bds.services.CaseDataAccessFault

      Description copied from interface: `BusinessDataServicesAdminService`
      Gets details of case classes and their searchable attributes.
      Specified by:
        `getCaseClassInfo` in interface `BusinessDataServicesAdminService`
      Parameters:
        `caseModelID` - ID of the case model containing the case classes
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`

    - #### getCaseClassInfo

          public com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo(long caseModelID,
                                                                    boolean includeLabels,
                                                                    boolean includeAttributes,
                                                                    boolean includeGlobalObjectAttributes,
                                                                    boolean includeAppDetails)
                                                             throws com.tibco.bds.services.InvalidCaseModelFault,
                                                                    com.tibco.bds.services.InternalServiceFault,
                                                                    com.tibco.bds.services.SecurityFault,
                                                                    com.tibco.bds.services.CaseDataAccessFault

      Description copied from interface: `BusinessDataServicesAdminService`
      Gets details of case classes and their searchable attributes.
      Specified by:
        `getCaseClassInfo` in interface `BusinessDataServicesAdminService`
      Parameters:
        `caseModelID` - ID of the case model containing the case classes
        `includeLabels` - if true, labels are includes for classes/attributes
        `includeAttributes` - if true, attributes are included, rather than just the class itself
        `includeGlobalObjectAttributes` - if true, nested attributes of contained global objects are included, rather than just those of the case class itself
        `includeAppDetails` - if true, details of the app that contains the class are included
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`

    - #### getCaseClassInfo

          public com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo(long caseModelID,
                                                                    java.lang.String[] caseClassArray)
                                                             throws com.tibco.bds.services.InvalidCaseModelFault,
                                                                    com.tibco.bds.services.InternalServiceFault,
                                                                    com.tibco.bds.services.SecurityFault,
                                                                    com.tibco.bds.services.CaseDataAccessFault

      Description copied from interface: `BusinessDataServicesAdminService`
      Gets details of case classes and their searchable attributes.
      Specified by:
        `getCaseClassInfo` in interface `BusinessDataServicesAdminService`
      Parameters:
        `caseModelID` - ID of the case model containing the case classes
        `caseClassArray` - case classes to limit the results to (rather than returning all of them for the case model)
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`

    - #### getCaseClassInfo

          public com.tibco.bds.api.CaseClassInfo[] getCaseClassInfo(long caseModelID,
                                                                    java.lang.String[] caseClassArray,
                                                                    boolean includeLabels,
                                                                    boolean includeAttributes,
                                                                    boolean includeGlobalObjectAttributes,
                                                                    boolean includeAppDetails)
                                                             throws com.tibco.bds.services.InvalidCaseModelFault,
                                                                    com.tibco.bds.services.InternalServiceFault,
                                                                    com.tibco.bds.services.SecurityFault,
                                                                    com.tibco.bds.services.CaseDataAccessFault

      Description copied from interface: `BusinessDataServicesAdminService`
      Gets details of case classes and their searchable attributes.
      Specified by:
        `getCaseClassInfo` in interface `BusinessDataServicesAdminService`
      Parameters:
        `caseModelID` - ID of the case model containing the case classes
        `caseClassArray` - case classes to limit the results to (rather than returning all of them for the case model)
        `includeLabels` - if true, labels are includes for classes/attributes
        `includeAttributes` - if true, attributes are included, rather than just the class itself
        `includeGlobalObjectAttributes` - if true, nested attributes of contained global objects are included, rather than just those of the case class itself
        `includeAppDetails` - if true, details of the app that contains the class are included
      Throws:
        `com.tibco.bds.services.InvalidCaseModelFault`
        `com.tibco.bds.services.InternalServiceFault` - for other internal error conditions
        `com.tibco.bds.services.SecurityFault` - - user does not have sufficient privileges
        `com.tibco.bds.services.CaseDataAccessFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.